Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.event.rule
Enum ActivationCancelledCause

    java.lang.Object
      java.lang.Enum<ActivationCancelledCause>
          org.drools.event.rule.ActivationCancelledCause

All Implemented Interfaces:
  Serializable, Comparable<ActivationCancelledCause>

    public enum ActivationCancelledCause

extends Enum<ActivationCancelledCause>

Enum Constant Summary
`CLEAR`
`FILTER`
`WME_MODIFY`

Method Summary
`static ActivationCancelledCause` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ActivationCancelledCause[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILTER

    public static final ActivationCancelledCause FILTER

### WME_MODIFY

    public static final ActivationCancelledCause WME_MODIFY

### CLEAR

    public static final ActivationCancelledCause CLEAR

Method Detail

### values

    public static ActivationCancelledCause[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ActivationCancelledCause c : ActivationCancelledCause.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ActivationCancelledCause valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.